# Class SmilesExt

java.lang.Object
org.jmol.scriptext.SmilesExt

public class SmilesExt extends Object

## Constructor Summary

Constructors
Constructor
Description
`SmilesExt()`

## Method Summary

Modifier and Type
Method
Description
`float[]`
`getFlexFitList(BS bs1, BS bs2, String smiles1, boolean isSmarts)`
`float`
`getSmilesCorrelation(BS bsA, BS bsB, String smiles, Lst<P3> ptsA, Lst<P3> ptsB, M4 m4, Lst<BS> vReturn, boolean asMap, int[][] mapSet, P3 center, boolean bestMap, int flags)`
The major interface to org.jmol.smiles, this method allows for a wide variety of correlation functionality.
`Object`
`getSmilesMatches(Object patternObj, Object smilesObj, BS bsSelected, BS bsMatch3D, int flags, boolean asOneBitset, boolean firstMatchOnly)`
`SmilesExt`
`init(Object se)`
`float`
`mapPolyhedra(int i1, int i2, boolean isSmiles, M4 m)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SmilesExt

public SmilesExt()

## Method Details

### init

public SmilesExt init(Object se)

### getSmilesCorrelation

public float getSmilesCorrelation(BS bsA, BS bsB, String smiles, Lst<P3> ptsA, Lst<P3> ptsB, M4 m4, Lst<BS> vReturn, boolean asMap, int[][] mapSet, P3 center, boolean bestMap, int flags) throws ScriptException
The major interface to org.jmol.smiles, this method allows for a wide variety of correlation functionality.

Parameters:
  `bsA` -
  `bsB` -
  `smiles` -
  `ptsA` -
  `ptsB` -
  `m4` -
  `vReturn` -
  `asMap` -
  `mapSet` -
  `center` -
  `bestMap` -
  `flags` -
Returns:
  standard deviation
Throws:
  `ScriptException`

### getSmilesMatches

public Object getSmilesMatches(Object patternObj, Object smilesObj, BS bsSelected, BS bsMatch3D, int flags, boolean asOneBitset, boolean firstMatchOnly) throws ScriptException

Parameters:
  `patternObj` - String or SmilesSearch
  `smilesObj` - String or SmilesSearch
  `bsSelected` -
  `bsMatch3D` -
  `flags` -
  `asOneBitset` -
  `firstMatchOnly` -
Returns:
  Object
Throws:
  `ScriptException`

### getFlexFitList

public float[] getFlexFitList(BS bs1, BS bs2, String smiles1, boolean isSmarts) throws ScriptException

Throws:
  `ScriptException`

### mapPolyhedra

public float mapPolyhedra(int i1, int i2, boolean isSmiles, M4 m) throws ScriptException

Throws:
  `ScriptException`